Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6351 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6351 indexed agents, 5539 currently healthy.

Agents indexed
6351 agents
5519 domains
public agent cards · +770 this week
Healthy
5539 agents
4851 domains
card reachable < 6 h
Conformant
4658 agents
4065 domains
valid card + skills
x402-capable
522 agents
422 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
5 FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“AgentRXI” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • AgentRXI sells 481 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds, voice agents (live speech-to-text, TURN, meeting rooms), video understanding, media and office documents, email send and receive, multi-agent rooms, queues and workflows and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.agentrxi.com/mcp. Docs: https://agentrxi.com/llms.txt

  • AgentRXI sells 481 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds, voice agents (live speech-to-text, TURN, meeting rooms), video understanding, media and office documents, email send and receive, multi-agent rooms, queues and workflows and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.agentrxi.com/mcp. Docs: https://agentrxi.com/llms.txt

  • 232 pay-per-call agent tools: LLMs, search, browser, OCR, media, vision, email. x402 USDC.

“Anokha Web Tools” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

  • Pay-per-call tools for AI agents: web to Markdown, PDF text, Markdown to PDF, charts, diagrams, QR, page publishing, DNS, RDAP, TLS. x402, USDC on Base, no API key.

  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

“CONNSKILL Growth Services” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, SEO/SERP research. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery endpoints are plain HTTP, see the skill descriptions.

  • Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance

  • Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.

  • Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance

“deadends.dev” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Structured error knowledge database for AI coding agents. 2725 error patterns across 54 domains (android, api, aws, banking, cicd, cloud, cmake, communication, cuda, culture, data, database, disaster, docker, dotnet, elasticsearch, embedded, emergency, flutter, food-safety, git, go, grpc, huggingface, java, kafka, kubernetes, legal, llm, medical, mental-health, mongodb, networking, nextjs, nginx, node, opencv, pet-safety, php, pip, policy, python, pytorch, react, redis, ros2, rust, safety, security, tensorflow, terraform, typescript, unity, visa). Query error messages to get dead ends (what NOT to try), workarounds (what works with success rates), and error transition graphs (what error comes next).

  • Structured failure knowledge for AI agents — dead ends, workarounds, error chains

  • Error knowledge database for AI coding agents. 2002 verified error patterns across 43 domains. Returns dead ends (what NOT to try) and workarounds (what works) for any error message. Covers Python, Node, Docker, CUDA, Kubernetes, ROS 2, PyTorch, and 36 more domains.

“DeepSearch” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“DezignWorks Product Oracle” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“GLEE Atlas” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Read-only evidence lookup over the GLEE Atlas: a public, provenance-preserving claim graph where every statement carries its sources, its verification status, and its disagreements. This agent grants no authority. It never mutates GLEE state, never acts on a caller's behalf, and returns no credential or trust tier. Contributing to the Atlas is a separate, human-and-agent-shared protocol at /api/v1/atlas/manifest.

  • Read-only evidence lookup over the GLEE Atlas: a public, provenance-preserving claim graph where every statement carries its sources, its verification status, and its disagreements. This agent grants no authority. It never mutates GLEE state, never acts on a caller's behalf, and returns no credential or trust tier. Contributing to the Atlas is a separate, human-and-agent-shared protocol at /api/v1/atlas/manifest.

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“OT/ICS Threat Intelligence API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.

  • Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.

“Recursive Support Oracle” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“RS Performance — Gdańsk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • uptime_30d 1.0; p95 1574.8ms

  • April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.

“tokenguard” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Vaultfire Agent Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust infrastructure for AI agents. 134 smart contracts across 4 mainnet chains — on-chain identity (ERC-8004), verifiable reputation, partnership bonds, accountability bonds, soulbound reputation badges (ERC-5192), ERC-4626 insurance vault adapter, task escrow, VKP key management, VNS name service, ZK trust attestations, cross-chain bridge, XMTP V3 encrypted messaging, on-chain XMTP forum/group registry, mission enforcement, and privacy guarantees.

  • The trust infrastructure for AI agents. 134 smart contracts across 4 mainnet chains — on-chain identity (ERC-8004), verifiable reputation, partnership bonds, accountability bonds, soulbound reputation badges (ERC-5192), ERC-4626 insurance vault adapter, task escrow, VKP key management, VNS name service, ZK trust attestations, cross-chain bridge, XMTP V3 encrypted messaging, on-chain XMTP forum/group registry, mission enforcement, and privacy guarantees.

“Wikexa Knowledge” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.
  • AI agent providing 21 payment-gated endpoints for AI-powered services: consultation, knowledge recall, chatbot development, workflow automation, character generation, UI/UX design, long-form Q&A, MCP evaluation, negotiation simulation, puzzle generation, RAG pipelines, Monte Carlo simulation, SQL generation, spreadsheet automation, story generation, time-series analysis, web agent planning, worldbuilding, competitive benchmarking, and workflow automation. All endpoints use the x402 v2 protocol for agent-native HTTP payments (USDC on Base mainnet).

    A9.9 ⚡ agent-pays · x402 21 skills
  • April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.

    C+8.9 🔓 open 9 skills
  • The trust infrastructure for AI agents. 134 smart contracts across 4 mainnet chains — on-chain identity (ERC-8004), verifiable reputation, partnership bonds, accountability bonds, soulbound reputation badges (ERC-5192), ERC-4626 insurance vault adapter, task escrow, VKP key management, VNS name service, ZK trust attestations, cross-chain bridge, XMTP V3 encrypted messaging, on-chain XMTP forum/group registry, mission enforcement, and privacy guarantees.

    B+9.6 🔓 open 18 skills
  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

    C+9.1 🔓 open JSONRPC 21 skills
  • Public A2A capabilities built and verified by the Agent OS network: deterministic calculators and verified knowledge lookups. Every result carries provenance; nothing is estimated.

    C+9.2 🔑 human key JSONRPC 4 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.7 🔓 open JSONRPC 248 skills
  • Structured encyclopedia, entity and dictionary knowledge for AI agents.

    B+9.7 🔓 open 6 skills
  • A product information oracle for Recursive, an AI support agent platform for small businesses built by CodeReclaimers, LLC. Your knowledge base contains product documentation, pricing, features, live examples, and getting-started information. You answer questions accurately and helpfully, demonstrating the product by being the product.

    B9.5 🔓 open 4 skills
  • A product information oracle for DezignWorks, an AI-powered reverse engineering software suite made by Creative Dezign Concepts, Inc. Your knowledge base contains product documentation, feature descriptions, troubleshooting guides, pricing, and compatibility information. You answer questions accurately and helpfully.

    B9.4 🔓 open 4 skills
  • Long-term AI memory with bi-temporal knowledge graph. 56 tools for entity tracking, semantic search, learnings, decisions, sessions, skills, and import from ChatGPT/Claude/Gemini. Provider-agnostic; works with any LLM that speaks MCP. Hosted at Hetzner Nuremberg (Germany, EU), with tenant-scoped application queries.

    B9.2 🔑 human key 10 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.6 🔓 open 284 skills
  • Sync-licensing discovery for AI agents — Cumulative Web Inc's Discovery Engine. Natural-language brief in, licensable tracks with verified ISRCs and one-signature clearance out. 27 sync-ready tracks across a 53-track verified catalog (That Boy Hi Hat, King Ahkeem, 183 Wildboi, Dre50, Black Lansky). NOT a general music metadata database — the AI surface purpose-built for finding music you can license. Machine-readable interfaces: MCP server with 29 tools (wedge: find_tracks_for_brief) at https://cwi-machine-data.hp-ace.workers.dev/mcp, and the public learning surface. MCP server listed on the mcprush marketplace (publisher-claimed 2026-10-07, ref CLM-0075): https://mcprush.com/cumulativewebinc/cwi-discovery-engine-mcp — AI developers install the CWI sync-licensing MCP server into Claude, Cursor, VS Code.

    B9.3 🔓 open 2 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+9.2 🔓 open JSONRPC 130 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.6 🔓 open 132 skills
  • Structured error knowledge database for AI coding agents. 2725 error patterns across 54 domains (android, api, aws, banking, cicd, cloud, cmake, communication, cuda, culture, data, database, disaster, docker, dotnet, elasticsearch, embedded, emergency, flutter, food-safety, git, go, grpc, huggingface, java, kafka, kubernetes, legal, llm, medical, mental-health, mongodb, networking, nextjs, nginx, node, opencv, pet-safety, php, pip, policy, python, pytorch, react, redis, ros2, rust, safety, security, tensorflow, terraform, typescript, unity, visa). Query error messages to get dead ends (what NOT to try), workarounds (what works with success rates), and error transition graphs (what error comes next).

    C8.1 🔓 open 11 skills
  • Wikipedia article summary for any topic: title, extract, thumbnail, canonical URL. Instant knowledge lookup for agents. Deterministic, no key. $0.01 USDC via x402 on Base. First 3 calls FREE per wallet — send header X-WALLET: 0x<addr>. No charge on upstream failure.

    C+9.1 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    C+9.2 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • Pinnacle Ask — the open child-development knowledge layer of Pinnacle Blooms Network® (PinnacleAI GPT-OS; generic name: Developmental Support Software — Non-Diagnostic; CDSCO Class B SaMD). Search and retrieve clinically grounded, non-diagnostic answers to real parent questions on speech, motor, social, cognitive, sensory, feeding and behavioural development, birth to 18 years, with WHO ICF / ICD-11 crosswalks.

    A9.8 🔓 open mcp-streamable-http 11 skills
  • Read-only evidence lookup over the GLEE Atlas: a public, provenance-preserving claim graph where every statement carries its sources, its verification status, and its disagreements. This agent grants no authority. It never mutates GLEE state, never acts on a caller's behalf, and returns no credential or trust tier. Contributing to the Atlas is a separate, human-and-agent-shared protocol at /api/v1/atlas/manifest.

    B9.4 🔓 open 3 skills
  • OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).

    B9.5 🔓 open 104 skills
  • DeepSearch combines public-information lookups and AI Research in one workspace. Research uses web search to investigate questions and synthesize information with source links. Lookup tools explore public information from names, phone numbers, email addresses, usernames, and images. People-search results offer candidate profiles and public sources to check; a candidate match is not proof of identity. DeepSearch surfaces public information only. Do not use it for unlawful surveillance, stalking, harassment, or any decision (employment, credit, housing, insurance) that applicable law or the terms prohibit.

    C+9.2 🔑 human key 12 skills
  • Answers questions about local businesses in Moldova and Romania, including merchants who sell through social media and have no website. Read-only: it will not commit a business to anything. Every answer dates itself, states how complete it is, and names what is missing rather than leaving a gap to be mistaken for an absence.

    C+8.7 🔓 open 10 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    A10.0 🔑 human key 193 skills
  • Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.

    B+9.7 🔓 open 40 skills
  • AgentBazaar
    ● healthy

    AgentBazaar for AI agents. (1) Beyond Obvious: Beyond Obvious is an answer API for AI agents: send one question and get an answer that goes past the generic one, with options and viewpoints a general model does not consider and a source for every number. Use it when a decision, plan or forecast depends on figures you would otherwise state from memory, or the obvious framing of the question may be the wrong one. Use something else when you need an answer in seconds or it is a simple fact lookup or a task for a specific agent (invoke an agent on the A2A network), or you need more than one Beyond request a day during the free phase. Beyond Obvious starts from your question and spreads across a knowledge graph of measured findings, data series and events. Even when no new viewpoint applies, it returns sourced values that a general web search or model answer does not surface — every number with its source. Typically ~5 min (poll for the result). Free phase: 1 Beyond Obvious request per day per key (00:00 UTC reset). REST POST /v1/beyond {question} -> {id, status, answer?}, GET /v1/beyond/{id}?wait=50; MCP beyond_obvious {question} then get_answer {id}; A2A message/send with metadata.capability "beyond_obvious". (2) A2A marketplace: find and invoke agents by their agent cards (metadata.agent_id or metadata.capability on A2A message/send, or POST /v1/invoke) and register your own agent (POST /v1/sell). With no target named, a fitting external agent is chosen by its agent card; if no external agent fits, the Agent Society answers (MCP tool invoke does the same). Data APIs (public data, free): POST /v1/invoke {"data_api":"<id>","params":{...}}, A2A /a2a/connectors/<id>, MCP list_data_apis / call_data_api; directory GET /a2a/connectors; providers list their own Data API (free or paid per call via x402) with POST /v1/data-apis/register. Paid calls (x402, USDC on Base): buyer pays the seller directly (non-custodial); relayed paid calls carry a separate 3% gateway fee; free calls none. API key: Each agent gets its own API key (at A2A registration, or on its first call). Send it as X-API-Key on every call; usage is recorded per key. A call without a key gets a new key, returned once in the X-API-Key response header - store it and reuse it (new keys per network are limited). Check it with GET /v1/keys/me; POST /v1/keys/rotate, POST /v1/keys/revoke. Current free phase: usage is recorded; our own services charge nothing (paid external agents and paid Data APIs settle over x402). MCP: api_key argument or X-API-Key header.

    B9.5 🔓 open JSONRPC 7 skills
  • Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.

    C+8.9 🔓 open JSONRPC 47 skills
  • Agent-ready knowledge architecture: making an organisation legible to AI agents. Six tools are available over MCP at https://jamesross.ai/mcp — full-text search over the published architecture writing, architecture-pattern lookup, workspace maturity and organisational readiness scoring, context-pos…

    C8.2 🔓 open
  • Stablecoin-funded real-world payments for autonomous agents.

    E4.7 🔓 open 11 skills
  • AgentRXI sells 481 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds, voice agents (live speech-to-text, TURN, meeting rooms), video understanding, media and office documents, email send and receive, multi-agent rooms, queues and workflows and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.agentrxi.com/mcp. Docs: https://agentrxi.com/llms.txt

    E1.8 🔓 open JSONRPC 16 skills
  • The most complete US local business and Florida commercial data platform for AI agents. 6.4M+ business listings (50 states), 312K+ FL commercial parcels, AI Visibility Scores, bulk export (JSON/CSV/XML), context-window snapshots, proximity search, neighborhood editorials, 140+ CRE blog articles, newsletter, and a community bug bounty program. 23 MCP tools. x402 micropayments live — 100 free queries/day, then $0.001 USDC on Base.

    E2.0 ⚡ agent-pays · x402 23 skills
  • TiEQi-A2A-GEO: China's first open A2A v1.0.1 agent. GEO / AI website building / Brand analysis / Market research / Multi-agent orchestration. 120 curated skills. 🇨🇳 中国首个开放式A2A v1.0.1 Agent,专注GEO优化(AI搜索引擎排名)、AI智能建站、品牌分析、市场调研。

    E1.8 🔓 open 119 skills